Bug 185089 - Netdump fails to start with bonded ethernet interface
Summary: Netdump fails to start with bonded ethernet interface
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: netdump (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: x86_64 Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Thomas Graf
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-03-10 15:35 UTC by Dave Berry
Modified: 2014-06-18 08:28 UTC (History)
5 users (show)

Fixed In Version: RHEL4U4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-13 20:38:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dave Berry 2006-03-10 15:35:36 UTC
Description of problem: Netdump does not working using a bonded interface


Version-Release number of selected component (if applicable):netdump-0.7.14-4


How reproducible:Always


Steps to Reproduce:
1. Set DEV=bond0 in /etc/sysconfig/netdump
2. Sstart netdump /etc/init.d/netdump
3. Failure
  
Actual results:

initializing netdump FATAL: Error inserting netdump
(/lib/modules/2.6.9-11.ELsmp/kernel/drivers/net/netdump.ko): Invalid argument
                                                           [FAILED]
initializing netconsole FATAL: Error inserting netconsole
(/lib/modules/2.6.9-11.ELsmp/kernel/drivers/net/netconsole.ko): Invalid argument
                                                           [FAILED]

Expected results:

Netdump starts and sends data to server

Additional info:

Comment 1 Gunther Schlegel 2006-03-30 11:06:12 UTC
I like to mention that netdump works on bonded interfaces in RHEL3.

Comment 2 Michael Bischof 2006-05-08 11:17:43 UTC
What's the status on this issue?

Comment 3 Calvin Webster 2006-06-01 18:32:51 UTC
I am seeing this exact same problem on RHEL 4.

Red Hat Support asked me to send them a sysreport and setup netdump to capture
more on kernel panics related to bug #191831 (SR899432).

netdump-server configured and started fine. netdump client, however, raised this
error at first:

[root@pegasus ~]# service netdump start
---------------------------------------
netdump: cannot arp 192.168.2.6 on eth0
netdump: cannot find 192.168.3.9 in arp cache
netdump: can't resolve 192.168.3.9 MAC address
netdump server address resolution                          [FAILED]
---------------------------------------

It's obvious from this that netdump is looking on the wrong interface since
we're using a dual-bonded setup. "arp -a" shows everything bound to "bond0".

There is nothing in the man or info pages describing config options for netdump.
After looking at the startup script I figured I had to set "DEV=bond0" in
/etc/sysconfig/netdump. Now I get this:

[root@pegasus ~]# service netdump start
---------------------------------------
initializing netdump FATAL: Error inserting netdump
(/lib/modules/2.6.9-22.0.2.ELsmp/kernel/drivers/net/netdump.ko): Invalid argument
                                                           [FAILED]
initializing netconsole FATAL: Error inserting netconsole
(/lib/modules/2.6.9-22.0.2.ELsmp/kernel/drivers/net/netconsole.ko): Invalid argument
                                                           [FAILED]
---------------------------------------

Note: I had to revert to a previous kernel while Red Hat Support works on the
kernel panics I'm getting with the current RHEL 4 kernel.

Comment 6 Thomas Graf 2007-02-08 10:45:36 UTC
RHEL4 U4 introduced support for netdump over bonded interfaces. What update
version is being used?

Comment 7 Dave Berry 2007-12-04 14:20:56 UTC
I was using update 2


Note You need to log in before you can comment on or make changes to this bug.